package com.muyu.cloud.mart;

import com.github.tobato.fastdfs.FdfsClientConfig;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Import;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.mart
 * @Project：cloud-mart
 * @name：MarketApplication
 * @Date：2024/8/21 22:14
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
//@Import(FdfsClientConfig.class)
//@EnableFeignClients
public class MarketApplication {
    public static void main(String[] args) {
        SpringApplication.run(MarketApplication.class,args);
    }
}
