package com.muyu.cloud.mart.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.Connector;
import com.muyu.domain.ConnectorUser;
import com.muyu.domain.req.ConnectorUserReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.mart.mapper
 * @Project：cloud-mart
 * @name：ConnectorMapper
 * @Date：2024/8/26 10:23
 */
@Mapper
public interface ConnectorMapper extends BaseMapper<Connector> {

    Integer updateConnector(Connector connector);

    Long getDeleteConnector(Long connectorId);

    List<ConnectorUser> findConnectorUserList(ConnectorUserReq connectorUserReq);

    List<Connector> findApiList(Connector connector);
}
