package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.checkerframework.checker.units.qual.N;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.domain
 * @Project：cloud-mart
 * @name：Market
 * @Date：2024/8/21 21:00
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Market {
    private String name;
    private String cardno;
    private String descriot;
    private String ctftp;
    private String ctfid;
    private String gender;
    private String birthday;
    private String address;
    private String zip;
    private String dirty;
    private String district1;
    private String district2;
    private String district3;
    private String district4;
    private String district5;
    private String district6;
    private String firstnm;
    private String lastnm;
    private String duty;
    private String mobile;
    private String tel;
    private String fax;
    private String email;
    private String nation;
    private String taste;
    private String education;
    private String company;
    private String ctel;
    private String caddress;
    private String czip;
    private String family;
    private String version;
    private String id;
}
