package com.muyu.domain.req;

import lombok.Data;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.domain
 * @Project：cloud-mart
 * @name：ConnectorUser
 * @Date：2024/9/1 20:25
 */
@Data
public class ConnectorUserReq {
    /**
     * id
     */
    private Integer connectorUserId;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 接口id
     */
    private Integer connectorId;
    /**
     * 剩余次数
     */
    private Integer connectorResidueDegree;
    /**
     * 购买次数
     */
    private Integer connectorFrequency;
    /**
     * 接口名称
     */
    private String connectorName;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 用户权限
     */
    private String remark;
    /**
     * 分页
     */
    private Integer pageNum;
    private Integer pageSize;
}
