package com.muyu.cloud.mart.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Birthday;
import com.muyu.domain.Market;
import com.muyu.domain.Postcode;

import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.etl.service
 * @Project：cloud-mart
 * @name：MarketService
 * @Date：2024/8/21 21:54
 */
public interface MarketService extends IService<Market> {
    List<Market> findMarketList();

    Result getPhonePlace(String tel);

    Result getIpPlace(String ip);

    Result getHeadlines();

    Result getWeather();

    Result getBirthday(Birthday birthday);

    Result getPostcode(Postcode postcode);
}
